G21-2024 - Feature #1322

CODING
12/16/2024 07:27 PM - Htar Aung THET

Status: Resolved Start date: 12/12/2024
Priority: High Due date: 01/16/2025
Assignee: GENKI MATSUNAGA % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Subtasks:

Feature # 1311: Implement Core Functionality For Coding Team

Feature # 1306: Learn Image Display and Loading (JPG, PNG) For Coding Team

Feature # 1308: Learn Image Properties Functionality For Coding Team

Feature # 1309: Learn Alpha Manipulation for Images For Coding Team

Feature # 1310: Load Configuration from .env File For Coding Team
Feature # 1326: Add Gamma Functionality to Project For Coding Team

Resolved
Resolved
Resolved
Resolved
Resolved
Resolved

History

#1 - 12/16/2024 08:01 PM - Htar Aung THET
- Subject changed from CODING TEAM to CODING

#2 - 12/17/2024 10:51 AM - Htar Aung THET

The Coding Team is responsible for implementing the core functionalities of the project, ensuring the application works efficiently and meets all

requirements. The tasks include:

Image Loading and Display:

Implement functionality to load and display images in JPG and PNG formats.

Ensure proper error handling for unsupported formats and invalid inputs.
Image Properties:

Add code to retrieve and display image properties (e.g., resolution, size, format).

Alpha Manipulation:

Implement alpha channel manipulation to adjust transparency in images as needed.

Load Configuration File (.env):

Integrate functionality to load and manage settings from a configuration file (e.g., paths, limits, default values).

Core Project Coding:

Write the main project code, ensuring it integrates all functionalities seamlessly.
Follow best coding practices, ensuring clean, modular, and well-documented code.

Optimization and Error Handling:
Optimize the code for performance and stability.

Implement error handling to manage exceptions and ensure a smooth user experience.
The Coding Team must collaborate with other teams (UML, Testing, and Doxy Commenters) to align on design, testing, and documentation

requirements. Regular code reviews and progress updates are essential.

#3 - 01/09/2025 01:51 PM - Htar Aung THET
- Assignee set to GENKI MATSUNAGA

#4 - 01/16/2025 01:41 PM - Htar Aung THET

- Status changed from New to Resolved
